dbXML API

## com.dbxml.db.client.xmlrpc
Class ConnectionManager

    java.lang.Object
      com.dbxml.db.client.xmlrpc.ConnectionManager

Direct Known Subclasses:
  AccessManagerClient, CollectionClientImpl, ContentClientImpl, dbXMLClientImpl, SyncManagerClient

public abstract class ConnectionManager
extends java.lang.Object

ConnectionManager manages XML-RPC connections

Field Summary
`static java.lang.String` `CONNECTION`
`static java.lang.String` `SECURE`
`static java.lang.String` `STANDARD`

Constructor Summary
`ConnectionManager()`
`ConnectionManager(dbXMLClient dbxmlClient)`
`ConnectionManager(java.util.Map props)`

Method Summary
`java.lang.Object` `execute(java.lang.String method, java.lang.Object[] args)`
`byte[]` `executeBinary(java.lang.String method, java.lang.Object[] args)`
`boolean` `executeBoolean(java.lang.String method, java.lang.Object[] args)`
`int` `executeInt(java.lang.String method, java.lang.Object[] args)`
`java.lang.String[]` `executeList(java.lang.String method, java.lang.Object[] args)`
`java.util.Map` `executeMap(java.lang.String method, java.lang.Object[] args)`
`java.lang.String` `executeString(java.lang.String method, java.lang.Object[] args)`
`java.lang.String` `getClientPath()`
`java.util.Map` `getProperties()`
`java.lang.String` `getProperty(java.lang.String name)`
`org.apache.xmlrpc.XmlRpcClient` `getXmlRpcClient()`
`java.lang.String[]` `listProperties()`
`void` `setClientPath(java.lang.String clientPath)`
`void` `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION

    public static final java.lang.String CONNECTION

See Also:
  Constant Field Values

### SECURE

    public static final java.lang.String SECURE

See Also:
  Constant Field Values

### STANDARD

    public static final java.lang.String STANDARD

See Also:
  Constant Field Values

Constructor Detail

### ConnectionManager

    public ConnectionManager()

### ConnectionManager

    public ConnectionManager(java.util.Map props)

### ConnectionManager

    public ConnectionManager(dbXMLClient dbxmlClient)

Method Detail

### setProperty

    public final void setProperty(java.lang.String name,
                                  java.lang.String value)

### getProperty

    public final java.lang.String getProperty(java.lang.String name)

### listProperties

    public final java.lang.String[] listProperties()

### getProperties

    public final java.util.Map getProperties()

### setClientPath

    public final void setClientPath(java.lang.String clientPath)

### getClientPath

    public final java.lang.String getClientPath()

### getXmlRpcClient

    public final org.apache.xmlrpc.XmlRpcClient getXmlRpcClient()
                                                         throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### execute

    public final java.lang.Object execute(java.lang.String method,
                                          java.lang.Object[] args)
                                   throws dbXMLException

  Throws:
    `dbXMLException`

### executeString

    public final java.lang.String executeString(java.lang.String method,
                                                java.lang.Object[] args)
                                         throws dbXMLException

  Throws:
    `dbXMLException`

### executeBinary

    public final byte[] executeBinary(java.lang.String method,
                                      java.lang.Object[] args)
                               throws dbXMLException

  Throws:
    `dbXMLException`

### executeBoolean

    public final boolean executeBoolean(java.lang.String method,
                                        java.lang.Object[] args)
                                 throws dbXMLException

  Throws:
    `dbXMLException`

### executeInt

    public final int executeInt(java.lang.String method,
                                java.lang.Object[] args)
                         throws dbXMLException

  Throws:
    `dbXMLException`

### executeList

    public final java.lang.String[] executeList(java.lang.String method,
                                                java.lang.Object[] args)
                                         throws dbXMLException

  Throws:
    `dbXMLException`

### executeMap

    public final java.util.Map executeMap(java.lang.String method,
                                          java.lang.Object[] args)
                                   throws dbXMLException

  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group